//
//  AppDelegate.m
//  Driving-Example-iPhone
//
//  Created by KitLocate on 06/03/13.
//  Copyright (c) 2013 KitLocate. All rights reserved.
//

#import "AppDelegate.h"
#import "ViewController.h"
#import "KitLocateTasker.h"
#import <KitLocate/KitLocate.h>

@implementation AppDelegate

@synthesize window, kitLocateTasker;

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    // Create the KitLocate delegate tasker
    self.kitLocateTasker = [[KitLocateTasker alloc] init];
    
    // Init KitLocate framework
#warning Replace ENTER_YOUR_API_KEY with your API key - @"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
    [KitLocate initKitLocateWithDelegate:self.kitLocateTasker APIKey:ENTER_YOUR_API_KEY];
  
    // Since iOS8, we need to ask user's permission to present local notifications.
    // This example needs to present the driving state changes as notifications.
    [KitLocate registerForLocalNotifications];
    
    // Rest of code here
    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    self.window.rootViewController = [[ViewController alloc] initWithNibName:@"ViewController" bundle:nil];
    [self.window makeKeyAndVisible];
    
    return YES;
}

@end
